﻿Public Class Frm_User
    Dim IntCls_UserId As Integer = 0

    #Region "Sub Frm_User_Load : Loadイベント."
        Private Sub Frm_User_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
            Try
                If IntPub_UserInfoStyle = 0 Then
                    ' 追加.
                Else
                    ' 編集.

                    ' ユーザーIDをセット.
                    IntCls_UserId = ClsPub_UserInfo.ID
                    ' ユーザー名をセット.
                    Me.Txt_UserName.Text = ClsPub_UserInfo.Name
                    ' ログイン名をセット.
                    Me.Txt_LoginName.Text = ClsPub_UserInfo.LoginName
                    ' パスワードをセット.
                    Me.Txt_Password.Text = ClsPub_UserInfo.Password
                    ' 説明.
                    Me.Txt_Description.Text = ClsPub_UserInfo.Description
                    ’フォルダ名.
                    Me.Txt_Folder.Text = ClsPub_UserInfo.StdFolderName
                    ' 最大容量.
                    Me.NUD_MaxSize.Value = ClsPub_UserInfo.IntFolderMaxSize
                    ' ファイル権限.
                        ' 読込.
                            Me.Chk_FileAuthority_Read.Checked = (ClsPub_UserInfo.FileAuthority And NSDSocket.NSD_SocketUserInfo.NSDUserInfo.ReadWrite_Authority.Authority_Read)
                        ' ファイル作成.
                            Me.Chk_FileAuthority_FileCreate.Checked = (ClsPub_UserInfo.FileAuthority And NSDSocket.NSD_SocketUserInfo.NSDUserInfo.ReadWrite_Authority.Authority_FileCreate)
                        ' ファイル上書.
                            Me.Chk_FileAuthority_FileOverWrite.Checked = (ClsPub_UserInfo.FileAuthority And NSDSocket.NSD_SocketUserInfo.NSDUserInfo.ReadWrite_Authority.Authority_FileOverWrite)
                        ' ファイル削除.
                            Me.Chk_FileAuthority_FileDelete.Checked = (ClsPub_UserInfo.FileAuthority And NSDSocket.NSD_SocketUserInfo.NSDUserInfo.ReadWrite_Authority.Authority_FileDelete)

                End If
            Catch ex As Exception

            End Try
            
        End Sub
    #End Region

    #Region "Sub Btn_OK_Click : OK."
        Private Sub Btn_OK_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_OK.Click
            Try
                Dim Bln_Ok As Boolean = False
                Do
                    ' ユーザー名の確認.
                    If String.IsNullOrEmpty(Me.Txt_UserName.Text.Trim) Then
                        MsgBox("ユーザー名を入力してください。")
                        Exit Do
                    End If
                    ' ログイン名の確認.
                    If String.IsNullOrEmpty(Me.Txt_LoginName.Text.Trim) Then
                        MsgBox("ログイン名を入力してください。")
                        Exit Do
                    End If
                    ' パスワードの確認.
                    If String.IsNullOrEmpty(Me.Txt_Password.Text.Trim) Then
                        MsgBox("パスワードを入力してください。")
                        Exit Do
                    End If
                    ’フォルダ名の確認.
                    If String.IsNullOrEmpty(Me.Txt_Folder.Text.Trim) Then
                        MsgBox("フォルダ名を入力してください。")
                        Exit Do
                    End If

                    ClsPub_UserInfo = Nothing
                    ClsPub_UserInfo = New NSDSocket.NSD_SocketUserInfo.NSDUserInfo
                    ' ユーザーIDをセット.
                    ClsPub_UserInfo.ID = IntCls_UserId
                    ' ユーザー名をセット.
                    ClsPub_UserInfo.Name = Me.Txt_UserName.Text.Trim
                    ' ログイン名をセット.
                    ClsPub_UserInfo.LoginName = Me.Txt_LoginName.Text.Trim
                    ' パスワードをセット.
                    ClsPub_UserInfo.Password = Me.Txt_Password.Text.Trim
                    ' 説明をセット.
                    ClsPub_UserInfo.Description = Me.Txt_Description.Text.Trim
                    ’フォルダ名.
                    ClsPub_UserInfo.StdFolderName = Me.Txt_Folder.Text.Trim
                    ' 最大容量をセット.
                    ClsPub_UserInfo.IntFolderMaxSize = Me.NUD_MaxSize.Value
                    ' ファイル権限.
                        Dim Int_FileAuthority As NSDSocket.NSD_SocketUserInfo.NSDUserInfo.ReadWrite_Authority = NSDSocket.NSD_SocketUserInfo.NSDUserInfo.ReadWrite_Authority.Authority_Nothing
                        ' 読込.
                            
                            If Me.Chk_FileAuthority_Read.Checked Then
                                Int_FileAuthority = Int_FileAuthority Or NSDSocket.NSD_SocketUserInfo.NSDUserInfo.ReadWrite_Authority.Authority_Read
                            End If
                        ' ファイル作成.
                            If Me.Chk_FileAuthority_FileCreate.Checked Then
                                Int_FileAuthority = Int_FileAuthority Or NSDSocket.NSD_SocketUserInfo.NSDUserInfo.ReadWrite_Authority.Authority_FileCreate
                            End If
                        ' ファイル上書.
                            If Me.Chk_FileAuthority_FileOverWrite.Checked Then
                                Int_FileAuthority = Int_FileAuthority Or NSDSocket.NSD_SocketUserInfo.NSDUserInfo.ReadWrite_Authority.Authority_FileOverWrite
                            End If
                        ' ファイル削除.
                            If Me.Chk_FileAuthority_FileDelete.Checked Then
                                Int_FileAuthority = Int_FileAuthority Or NSDSocket.NSD_SocketUserInfo.NSDUserInfo.ReadWrite_Authority.Authority_FileDelete
                            End If
                        ClsPub_UserInfo.FileAuthority = Int_FileAuthority

                    ' ログイン名の確認.
                    Dim Int_Err As NSDSocket.NSD_SocketUserInfo.ERR_KIND
                    Int_Err = ClsPub_Server.IsOkLoginNameString(ClsPub_UserInfo.LoginName)
                    If Int_Err = NSDSocket.NSD_SocketUserInfo.ERR_KIND.OK Then
                        ' ユーザーリストに追加可能かの確認.
                        Int_Err = ClsPub_Server.IsAddOkUserList(ClsPub_UserInfo)
                    End If
                    If Int_Err <> NSDSocket.NSD_SocketUserInfo.ERR_KIND.OK Then
                        MsgBox(ClsPub_Server.GetErrMsg_UserInfo(Int_Err))
                        Exit Do
                    End If

                    Me.DialogResult = Windows.Forms.DialogResult.OK
                    ' フォームを閉じます.
                    Me.Close()
                Loop While (False)

            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Btn_Cancel_Click : キャンセル"
        Private Sub Btn_Cancel_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_Cancel.Click
            Try
                Me.DialogResult = Windows.Forms.DialogResult.Cancel
                Me.Close()
            Catch ex As Exception

            End Try
        End Sub
    #End Region
End Class